<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RVmPilot StructType
 * @subpackage Structs
 */
class RVmPilot extends AbstractStructBase
{
    /**
     * The dirn
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dirn;
    /**
     * The cssName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $cssName;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RVmPilot
     * @uses RVmPilot::setDirn()
     * @uses RVmPilot::setCssName()
     * @uses RVmPilot::setUuid()
     * @param string $dirn
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $cssName
     * @param string $uuid
     */
    public function __construct($dirn = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $cssName = null, $uuid = null)
    {
        $this
            ->setDirn($dirn)
            ->setCssName($cssName)
            ->setUuid($uuid);
    }
    /**
     * Get dirn value
     * @return string|null
     */
    public function getDirn()
    {
        return $this->dirn;
    }
    /**
     * Set dirn value
     * @param string $dirn
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVmPilot
     */
    public function setDirn($dirn = null)
    {
        $this->dirn = $dirn;
        return $this;
    }
    /**
     * Get cssName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getCssName()
    {
        return $this->cssName;
    }
    /**
     * Set cssName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $cssName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVmPilot
     */
    public function setCssName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $cssName = null)
    {
        $this->cssName = $cssName;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVmPilot
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
